## List the product groups of masterdata (tenant:trade:purchasing:read)

`GET /api/trade/v1/itsp/articles/product-groups`

Module: Trade · operationId: `listProductGroups` · Tag: ITSP · Auth: access token (`Authorization: Bearer <accessToken>`)

### Responses

- **200** Product groups (`application/json`)
- **401** No valid session or bearer token (no body).
- **502** A dependent service (DMS, masterdata, a distributor) failed or is unreachable. (`application/json`)

Fields of the 200 answer:

- `productGroups` (array of ProductGroup)
  - `name` (string): Name of the product group.
  - `number` (string): Number of the product group in masterdata.

Example 200 answer:

```json
{
  "productGroups": [
    {
      "name": "PCs",
      "number": "110"
    },
    {
      "name": "Notebooks",
      "number": "120"
    },
    {
      "name": "Monitore",
      "number": "130"
    },
    {
      "name": "Netzwerk",
      "number": "210"
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/itsp/articles/product-groups' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
